Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- c
- d
- i
- n
- o
- p
- t
- x
- y
- z

### - a -

- a : ipe::Linear , ipe::Matrix

### - c -

- classicGrid : ipe::CanvasBase::Style
- color : ipe::Gradient::Stop

### - d -

- distance : ipe::SelectTool::SObj

### - i -

- iActiveState : ipe::PdfPainter
- iAdditionalModifiers : ipe::CanvasBase
- iAlpha : ipe::Arc
- iAngle : ipe::Tiling
- iAngleSize : ipe::Snap
- iAttributes : ipe::IpeletData
- iAuthor : ipe::Document::SProperties
- iAutoOrigin : ipe::CanvasBase
- iAutoSnap : ipe::CanvasBase
- iBBox : ipe::Text::XForm
- iBeta : ipe::Arc
- iBitmaps : ipe::BitmapFinder
- iBlue : ipe::Color
- iBottom : ipe::TextPadding
- iCanvas : ipe::Tool
- iCascade : ipe::Painter , ipe::CanvasBase
- iCh : ipe::XmlParser
- iColor : ipe::StyleSheet::TitleStyle , ipe::StyleSheet::PageNumberStyle
- iCP : ipe::ClosedSpline
- iCreated : ipe::Document::SProperties
- iCreator : ipe::Document::SProperties
- iCrop : ipe::Layout
- iDashStyle : ipe::AllAttributes , ipe::Painter::State
- iDefined : ipe::StyleSheet::TitleStyle , ipe::StyleSheet::PageNumberStyle
- iDepth : ipe::Text::XForm
- iDimmed : ipe::CanvasBase
- iDir : ipe::Snap
- iDoc : ipe::IpeletData
- iDuration : ipe::Effect
- iEffect : ipe::Effect
- iEncoding : ipe::Font
- iExtend : ipe::Gradient
- iFArrow : ipe::AllAttributes
- iFArrowShape : ipe::AllAttributes
- iFArrowSize : ipe::AllAttributes
- iFifiVisible : ipe::CanvasBase
- iFill : ipe::AllAttributes , ipe::Painter::State
- iFillRule : ipe::AllAttributes , ipe::Painter::State
- iFontDescriptor : ipe::Font
- iFontDict : ipe::Font
- iFonts : ipe::Text::XForm , ipe::CanvasBase
- iFontSize : ipe::StyleSheet::PageNumberStyle
- iFrameSize : ipe::Layout
- iFullScreen : ipe::Document::SProperties
- iGlobalPos : ipe::CanvasBase
- iGradient : ipe::AllAttributes , ipe::Painter::State
- iGreen : ipe::Color
- iGridSize : ipe::Snap
- iGridVisible : ipe::Snap
- iHasEncoding : ipe::Font
- iHeight : ipe::CanvasBase
- iHorizontalAlignment : ipe::AllAttributes , ipe::StyleSheet::TitleStyle
- iInPath : ipe::Painter
- iKeywords : ipe::Document::SProperties
- iLatexNumber : ipe::Font
- iLayer : ipe::IpeletData
- iLeft : ipe::TextPadding
- iLength1 : ipe::Font
- iLength2 : ipe::Font
- iLength3 : ipe::Font
- iLineCap : ipe::AllAttributes , ipe::Painter::State
- iLineJoin : ipe::AllAttributes , ipe::Painter::State
- iM : ipe::Arc
- iMarkShape : ipe::AllAttributes
- iMatrix : ipe::Gradient , ipe::Object , ipe::Painter
- iModified : ipe::Document::SProperties
- iMouseDown : ipe::TransformTool
- iMousePos : ipe::CanvasBase
- iName : ipe::Font
- index : ipe::SelectTool::SObj
- iNumberPages : ipe::Document::SProperties
- iObject : ipe::Symbol
- iObserver : ipe::CanvasBase
- iOldFifi : ipe::CanvasBase
- iOnlyHorizontal : ipe::TransformTool
- iOnlyVertical : ipe::TransformTool
- iOpacity : ipe::AllAttributes , ipe::Painter::State
- iOrigin : ipe::Layout , ipe::Snap , ipe::TransformTool
- iP : ipe::Line , ipe::Segment
- iPage : ipe::IpeletData , ipe::CanvasBase , ipe::TransformTool
- iPageNo : ipe::IpeletData
- iPageNumber : ipe::CanvasBase
- iPan : ipe::CanvasBase
- iPaperSize : ipe::Layout
- iParagraphSkip : ipe::Layout
- iPathMode : ipe::AllAttributes
- iPen : ipe::Painter::State , ipe::AllAttributes
- iPinned : ipe::AllAttributes , ipe::Object
- iPos : ipe::StyleSheet::PageNumberStyle , ipe::StyleSheet::TitleStyle , ipe::XmlParser
- iPreamble : ipe::Document::SProperties
- iQ : ipe::Segment
- iRadius : ipe::Gradient
- iRArrow : ipe::AllAttributes
- iRArrowShape : ipe::AllAttributes
- iRArrowSize : ipe::AllAttributes
- iRed : ipe::Color
- iRefCount : ipe::Text::XForm
- iRepaintObjects : ipe::CanvasBase
- iRight : ipe::TextPadding
- iSelectionVisible : ipe::CanvasBase
- iSize : ipe::StyleSheet::TitleStyle
- iSnap : ipe::Snap , ipe::CanvasBase , ipe::IpeletData
- iSnapDistance : ipe::Snap
- iSource : ipe::XmlParser
- iStandardFont : ipe::Font
- iState : ipe::Painter
- iStep : ipe::Tiling
- iStops : ipe::Gradient
- iStream : ipe::Text::XForm , ipe::PdfPainter
- iStreamData : ipe::Font
- iStreamDict : ipe::Font
- iStretch : ipe::Text::XForm
- iString : ipe::PdfToken
- iStroke : ipe::AllAttributes , ipe::Painter::State
- iStyle : ipe::CanvasBase
- iSubject : ipe::Document::SProperties
- iSurface : ipe::CanvasBase
- iSymbolSize : ipe::AllAttributes
- iSymFill : ipe::Painter::State
- iSymPen : ipe::Painter::State
- iSymStroke : ipe::Painter::State
- iTextSize : ipe::AllAttributes
- iTextStyle : ipe::AllAttributes
- iTiling : ipe::Painter::State , ipe::AllAttributes
- iTitle : ipe::Document::SProperties
- iTool : ipe::CanvasBase
- iTop : ipe::TextPadding
- iTopElement : ipe::XmlParser
- iTransform : ipe::TransformTool
- iTransformableText : ipe::AllAttributes
- iTransformations : ipe::Object , ipe::AllAttributes , ipe::Symbol
- iTransitionTime : ipe::Effect
- iType : ipe::Font , ipe::Gradient , ipe::TransformTool , ipe::PdfToken
- iUnsnappedMousePos : ipe::CanvasBase
- iV : ipe::Bezier , ipe::Gradient
- iValid : ipe::TransformTool
- iVerticalAlignment : ipe::StyleSheet::TitleStyle , ipe::AllAttributes
- iView : ipe::IpeletData , ipe::CanvasBase , ipe::TransformTool
- iWidth : ipe::CanvasBase , ipe::Tiling , ipe::Font
- iWithAxes : ipe::Snap
- iWithShift : ipe::TransformTool
- iXForm : ipe::Symbol
- iZoom : ipe::CanvasBase

### - n -

- numberPages : ipe::CanvasBase::Style

### - o -

- offset : ipe::Gradient::Stop

### - p -

- paperClip : ipe::CanvasBase::Style
- paperColor : ipe::CanvasBase::Style
- pretty : ipe::CanvasBase::Style

### - t -

- thickLine : ipe::CanvasBase::Style
- thickStep : ipe::CanvasBase::Style
- thinLine : ipe::CanvasBase::Style
- thinStep : ipe::CanvasBase::Style

### - x -

- x : ipe::Vector

### - y -

- y : ipe::Vector

### - z -

- ZERO : ipe::Vector